Package org.apache.catalina.mapper

## Class Mapper.MappedWrapper

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<Wrapper>
  - - org.apache.catalina.mapper.Mapper.MappedWrapper

Enclosing class:
  Mapper

    protected static class Mapper.MappedWrapper
    extends Mapper.MapElement<Wrapper>

### Field Summary

Fields
`boolean` `jspWildCard`
`boolean` `resourceOnly`

### Fields inherited from class org.apache.catalina.mapper.Mapper.MapElement

`name, object`

### Constructor Summary

Constructors
`MappedWrapper​(String name, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jspWildCard

    public final boolean jspWildCard

#### resourceOnly

    public final boolean resourceOnly

### Constructor Detail

#### MappedWrapper

    public MappedWrapper​(String name,
                         Wrapper wrapper,
                         boolean jspWildCard,
                         boolean resourceOnly)